Subject: gdb on a 440GP ELDK

From: Mark Powell <[email-masked]>
Date: Thu, 21 Oct 2004 10:10:44 +0100

I hope this is not a dumb question.
I can't seem to use breakpoints in gdb (application debugging in 
userland not kernel debugging).
The system is a custom 440GP card, running the kernel from ELDK 3.0, 
modified for this card. The card is based heavily on the Ebony. I am 
using the ELDK f/s as NFS root.
The system seems to basically run fine apart from the fact that gdb 
doesn't stop at any breakpoints.
Is there any known issue with this combination of gcc/binutils/gdb ?
Versions are:

    GNU gdb Yellow Dog Linux (5.2.1-4b_3)
    gcc (GCC) 3.2.2 20030217 (Yellow Dog Linux 3.0 3.2.2-2a_2)
    GNU assembler 2.13.90.0.18 20030206

TIA